org.jboss.resteasy.skeleton.key.representations.idm

## Class ResourceRepresentation

- java.lang.Object
- - org.jboss.resteasy.skeleton.key.representations.idm.ResourceRepresentation

-     public class ResourceRepresentation
      extends Object

  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `name`
    `protected List<RoleMappingRepresentation>` | `roleMappings`
    `protected Set<String>` | `roles`
    `protected List<ScopeMappingRepresentation>` | `scopeMappings`
    `protected String` | `self`
    `protected boolean` | `surrogateAuthRequired`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceRepresentation()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getName()`
    `List<RoleMappingRepresentation>` | `getRoleMappings()`
    `Set<String>` | `getRoles()`
    `List<ScopeMappingRepresentation>` | `getScopeMappings()`
    `String` | `getSelf()`
    `boolean` | `isSurrogateAuthRequired()`
    `ResourceRepresentation` | `role(String role)`
    `RoleMappingRepresentation` | `roleMapping(String username)`
    `ScopeMappingRepresentation` | `scopeMapping(String username)`
    `void` | `setName(String name)`
    `void` | `setRoles(Set<String> roles)`
    `void` | `setSelf(String self)`
    `void` | `setSurrogateAuthRequired(boolean surrogateAuthRequired)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### self

          protected String self

    - #### name

          protected String name

    - #### surrogateAuthRequired

          protected boolean surrogateAuthRequired

    - #### roles

          protected Set<String> roles

    - #### roleMappings

          protected List<RoleMappingRepresentation> roleMappings

    - #### scopeMappings

          protected List<ScopeMappingRepresentation> scopeMappings

  - ### Constructor Detail

    - #### ResourceRepresentation

          public ResourceRepresentation()

  - ### Method Detail

    - #### getSelf

          public String getSelf()

    - #### setSelf

          public void setSelf(String self)

    - #### getName

          public String getName()

    - #### setName

          public void setName(String name)

    - #### isSurrogateAuthRequired

          public boolean isSurrogateAuthRequired()

    - #### setSurrogateAuthRequired

          public void setSurrogateAuthRequired(boolean surrogateAuthRequired)

    - #### getRoles

          public Set<String> getRoles()

    - #### setRoles

          public void setRoles(Set<String> roles)

    - #### role

          public ResourceRepresentation role(String role)

    - #### getRoleMappings

          public List<RoleMappingRepresentation> getRoleMappings()

    - #### roleMapping

          public RoleMappingRepresentation roleMapping(String username)

    - #### getScopeMappings

          public List<ScopeMappingRepresentation> getScopeMappings()

    - #### scopeMapping

          public ScopeMappingRepresentation scopeMapping(String username)

Copyright © 2014. All Rights Reserved.